#
# Conditional build:
%bcond_without	js	# JavaScript scripting support

Summary:	UPnP Media Server
Summary(pl.UTF-8):	Serwer mediów UPnP
Name:		gerbera
Version:	2.2.0
Release:	1
License:	GPL v2
Group:		Applications/Multimedia
#Source0Download: https://github.com/gerbera/gerbera/releases
Source0:	https://github.com/gerbera/gerbera/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6bbecc79c7734ef46365d5c54cd1ca74
URL:		https://gerbera.io/
BuildRequires:	cmake >= 3.19
BuildRequires:	curl-devel
%{?with_js:BuildRequires:	duktape-devel}
BuildRequires:	exiv2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	ffmpegthumbnailer-devel
BuildRequires:	libexif-devel
BuildRequires:	libfmt-devel >= 7.1.3
BuildRequires:	libmagic-devel
BuildRequires:	libmatroska-devel
BuildRequires:	libstdc++-devel >= 6:7.1
BuildRequires:	libupnp-devel >= 1.14.6
BuildRequires:	libuuid-devel
BuildRequires:	pugixml-devel
BuildRequires:	rpmbuild(macros) >= 1.742
BuildRequires:	spdlog-devel >= 1:1.8.1
BuildRequires:	sqlite3-devel >= 3.7.11
BuildRequires:	systemd-devel
BuildRequires:	taglib-devel >= 1.12
BuildRequires:	wavpack-devel >= 5.1.0
BuildRequires:	zlib-devel
Requires:	libfmt >= 7.1.3
Requires:	libupnp >= 1.14.6
Requires:	spdlog >= 1:1.8.1
Requires:	sqlite3-libs >= 3.7.11
Requires:	systemd-units >= 38
Requires:	taglib >= 1.12
Requires:	wavpack-libs >= 5.1.0
Provides:	group(gerbera)
Provides:	user(gerbera)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gerbera is a UPnP media server which allows you to stream your digital
media through your home network and consume it on a variety of UPnP
compatible devices.

%description -l pl.UTF-8
Gerbera to serwer mediów UPnP, pozwalający na wysyłanie strumieni
mediów cyfrowych poprzez domową sieć i odbieranie ich na różnych
urządzeniach zgodnych z UPnP.

%prep
%setup -q

%build
%cmake -B build \
	-DWITH_AVCODEC:BOOL=ON \
	-DWITH_DEBUG:BOOL=OFF \
	-DWITH_EXIV2:BOOL=ON \
	-DWITH_FFMPEGTHUMBNAILER:BOOL=ON \
	-DWITH_WAVPACK:BOOL=ON \
	%{cmake_on_off js WITH_JS}

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/gerbera,/var/lib/gerbera}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 338 gerbera
%useradd -u 338 -r -d /var/lib/gerbera -s /bin/false -c "Gerbera user" -g gerbera gerbera

%post
%systemd_post gerbera.service

%preun
if [ "$1" = "0" ]; then
	%service gerbera stop
fi
%systemd_preun gerbera.service

%postun
if [ "$1" = "0" ]; then
	%userremove gerbera
	%groupremove gerbera
fi
%systemd_reload

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog.md CONTRIBUTING.md README.md
%attr(755,root,root) %{_bindir}/gerbera
%dir %attr(750,gerbera,gerbera) %{_sysconfdir}/gerbera
%{_datadir}/gerbera
%{_mandir}/man1/gerbera.1*
%{systemdunitdir}/gerbera.service
%dir %attr(770,gerbera,gerbera) /var/lib/gerbera
%changelog
* Sun Jul 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gerbera.git;a=log;h=master

* Sat Jul 06 2024 Jan Palus <atler@pld-linux.org> 3a28bb7
- up to 2.2.0

* Thu Apr 11 2024 Jan Palus <atler@pld-linux.org> ecd41b4
- up to 2.1.0

* Thu Apr 11 2024 Jan Palus <atler@pld-linux.org> 273bb0c
- correct avcodec/exiv2 option values

* Sun Jan 07 2024 Jan Palus <atler@pld-linux.org> ebb12c5
- up to 2.0.0

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> c33b425
- added libfmt patch, release 3 (libfmt 10, spdlog 1.12)

* Sun Apr 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 4488960
- use cmake 3.13+ invocation style

* Sun Apr 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 6db955b
- pl, noted download URL, better Group

* Sun Apr 09 2023 Jan Palus <atler@pld-linux.org> b2b22eb
- spdlog rebuild

* Tue Jan 03 2023 Jan Palus <atler@pld-linux.org> dbdd2d9
- up to 1.12.1

* Sat Nov 05 2022 Jan Palus <atler@pld-linux.org> b732df1
- up to 1.12.0

* Thu Sep 01 2022 Jan Palus <atler@pld-linux.org> 20c4150
- libfmt rebuild

* Thu Sep 01 2022 Jan Palus <atler@pld-linux.org> 6e53a4b
- upstream fix for libfmt 9

* Wed May 04 2022 Jan Palus <atler@pld-linux.org> 8bef854
- up to 1.11.0

* Mon Mar 07 2022 Jan Palus <atler@pld-linux.org> 641e95b
- up to 1.10.0

* Thu Sep 30 2021 Jan Palus <atler@pld-linux.org> bfbbb0c
- up to 1.9.2

* Fri Aug 27 2021 Jan Palus <atler@pld-linux.org> 2b61bad
- up to 1.9.1

* Fri Aug 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 511195c
- relup, rebuild with libfmt-8

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> cbab914
- up to 1.9.0

* Tue Jun 01 2021 Jan Palus <atler@pld-linux.org> fd4c259
- up to 1.8.2

* Mon May 10 2021 Jan Palus <atler@pld-linux.org> 867820b
- up to 1.8.1

